import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:taafee_mobile/common/const/const.dart';

import 'package:taafee_mobile/common/widgets/text.dart';
import 'package:taafee_mobile/features/card/data_layer/model/card_model.dart';

class CardDetailsWidget extends StatelessWidget {
  final CardModel cardModel;
  const CardDetailsWidget({super.key, required this.cardModel});

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: //Responsive.isTablet()
          //?
          CrossAxisAlignment.stretch,
      // : CrossAxisAlignment.start,
      children: [
        MediumTextWidget('${"more_details".tr}:'),
        RegularTextWidget(cardModel.additionalData)
      ],
    ).paddingSymmetric(horizontal: Responsive.isTablet() ? 13 : 0);
  }
}
